Old version of Logic ProX with N.I.

ian aitken smith
ian aitken smith Member Posts: 5 Member
edited October 2022 in Other Software & Hardware

Currently using an old version of Logic Pro X. 10.2. I bought and installed N.I. software to use with N.I. keyboard, both purchased in 2020.

N.I. software does not work seamlessly with my version of Pro X. I am thinking the Pro X version may be too old? 

The unreliability issues are making me think that N.I. is not fully compatible with Pro X, no matter which version of Pro X is used, and wondering if I made a big mistake in buying N.I to use with Pro X?

Other DAWS, I have read work better with N.I. However, I don't want have to change from Pro X, as It has taken me a good while to get to grips with it, being retired and a latecomer to this technology.

I like the range of sounds that N.I. offer but, a lot of issues that I have regrettably found combining it with music production using Pro X, makes me think I have bought wrongly.

Any comments? 

Thx, Ian A.

Tagged:

Best Answer

Answers

  • Martin Schmid
    Martin Schmid Member Posts: 66 Member

    Perhaps be a bit more specific in the issues you are having. I’m not a Logic user myself, have mostly settled on Ableton after trying several DAWs. I’m also “older”, but not retired.. I found that while each daw has its differences, they all fundamentally do the same things.. so I’d be a bit surprised if there was a particular incompatibility… but you’ve piqued my interest.

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod

    Well, we would need more information. What is not working as expected ? What is your operating system? Logic 10.2 kind of sounds you're an older Mac OS. What version of Komplete Kontrol are you using?

  • ian aitken smith
    ian aitken smith Member Posts: 5 Member

    Thanks to both of you for your replies.

    The version of Logic Pro X on my MacBook, came with this pre- owned laptop, as freebie software. I cannot be sure if it is legit, or not, and as it is not possible to know, that may be an issue. That said, the ProX version dates back to 2015, which would make it quite ancient. So, this perhaps may arise in issues with the N.I. software. I have this version of Komplete Control is 2.6.7 (2021). There may be some incompatibility?

    I will run through my set up again, and make better observations of what is happening, and if you're able to help further this will be much appreciated. Kind regards,

    Ian

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod
    edited September 2022

    Hey Ian, what is the operating system ? MacOS 10.10, 10.11 ? Older, newer ?

  • ian aitken smith
    ian aitken smith Member Posts: 5 Member

    Hey Jeremy, the iMac uses 10.14.6.

    The iMac late 2013. These are old by todays reckoning.

    Any thoughts?

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod

    Hey Ian, a good description of the issues you are having would be great too.

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod
    Answer ✓

    @ian aitken smith We didn't hear from you again about this. I'll close this post. If you still need assistance you can get in touch with our specilaists here: http://bit.ly/NIsupport_KKontrol

This discussion has been closed.
Back To Top